Skip to main content
GET
/
calls
List calls
curl --request GET \
  --url https://api.triplesession.com/v2/calls \
  --header 'Authorization: Bearer <token>'
{
  "calls": [
    {
      "id": "<string>",
      "name": "<string>",
      "owner_id": "<string>",
      "score": 123,
      "score_breakdown": {},
      "scorecard": "<string>",
      "scorecard_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "duration_in_minutes": 123,
      "source": "<string>",
      "evaluatee_user_id": "<string>",
      "evaluatee_user_name": "<string>",
      "evaluatee_email": "<string>",
      "participants": [
        "<string>"
      ],
      "attendees": [
        "<string>"
      ],
      "crm_objects": [
        {
          "id": "<string>",
          "name": "<string>",
          "url": "<string>",
          "type": "<string>"
        }
      ]
    }
  ],
  "pagination": {
    "page": 2,
    "page_size": 2,
    "total_count": 1,
    "total_pages": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.triplesession.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a public API key with the endpoint's required scope.

Query Parameters

workspaceId
string<uuid>

Optional workspace ID filter. The value must be within the API key's accessible scope.

page
integer
default:1

Page number.

Required range: x >= 1
limit
integer
default:50

Number of calls to return.

Required range: 1 <= x <= 100

Search text used to filter calls.

Required string length: 1 - 200
scorecard_id
string<uuid>

Filter calls by scorecard ID.

Response

Calls visible to the API key.

calls
object[]
required
pagination
object
required